<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: splashPersonal.php,v 1.3 2000/12/11 20:52:52 jcheng Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();

$stylist = $serverScriptHelper->getStylist();
$style = $stylist->getStyle("Page");
$style->setProperty("backgroundColor", "", "#FFFFFF");
$style->setProperty("backgroundImage", "", "");
$stylist->setStyle($style);

$splash = $stylist->getStyle("splash");
$splashImage = $splash->getProperty("persprofile");

$factory = new HtmlComponentFactory($stylist, $serverScriptHelper->getI18n("base-carmel"), "");
$i18n = $serverScriptHelper->getI18n("base-monterey");
$page = $factory->getPage();
print($page->toHeaderHtml($style)); 

// Netscape doesn't honor body text styles in tables
$fontTag = "<FONT STYLE=\"" . $style->toTextStyle() . "\">%s</FONT>";

?>

<TABLE BORDER="0" CELLPADDING="5">
  <TR>
    <TD><IMG SRC="<?php echo $splashImage; ?>" ALT=""></TD>
    <TD VALIGN="MIDDLE" WIDTH="150"><BR><BR><?php printf($fontTag, $i18n->get("splashPersonalMessage")); ?></TD>
  </TR>
</TABLE>

<?php print($page->toFooterHtml()); ?>
<?php $serverScriptHelper->destructor(); ?>
